summaryrefslogtreecommitdiff
path: root/debian/python-sh/DEBIAN/prerm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/python-sh/DEBIAN/prerm')
-rwxr-xr-xdebian/python-sh/DEBIAN/prerm14
1 files changed, 14 insertions, 0 deletions
diff --git a/debian/python-sh/DEBIAN/prerm b/debian/python-sh/DEBIAN/prerm
new file mode 100755
index 0000000..761dd27
--- /dev/null
+++ b/debian/python-sh/DEBIAN/prerm
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e
+
+# Automatically added by dh_python2:
+if which pyclean >/dev/null 2>&1; then
+ pyclean -p python-sh
+else
+ dpkg -L python-sh | grep \.py$ | while read file
+ do
+ rm -f "${file}"[co] >/dev/null
+ done
+fi
+
+# End automatically added section